An AMD loader plugin for Babel
JavaScript HTML

README.md

Babel (6to5) Plugin

A Babel loader plugin for RequireJS.

Installation

  $ npm install -g bower
  $ bower install requirejs-babel

Usage

Add the paths to configuration:

  paths: {
    es6: '...path_to_bower/requirejs-babel/es6',
    babel: '...path_to_bower/requirejs-babel/babel-5.8.22.min'
  }

Reference files via the es6! plugin name:

  define(['es6!your-es6-module'], function(module) {
    // ...
  });